Bug 10726 - pppd does not react
pppd does not react
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Depends On:
  Show dependency treegraph
Reported: 2000-04-11 08:55 EDT by Cristi Prundeanu
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-13 05:23:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Cristi Prundeanu 2000-04-11 08:55:45 EDT
This one is a killer. :)
After some time running on a leased line, the modem (USR Courier) goes
down. This would be no further problem, as it (re)starts from inittab, but
since installing RH6.1 (kernel 2.2.14, ppp 2.3.11), sometimes pppd does
not notice that the line is down. Furthermore, when killed, it does not
get restarted by init. When restarted (manually or by editing inittab and
HUPping init), it logs "pppd started by root", then hangs (it should start
/usr/sbin/chat to get a connection). No exit, no messages/logs. Strange
thing, when started through strace or ltrace, everything performs ok.
Of course, a reboot fixes things.
I'm not sure if this is a ppp-only problem. There might be something else
broken in the system...
Comment 1 Thomas Woerner 2004-08-13 05:23:06 EDT
Please verify this with a newer version of Red Hat Enterprise Linux or Fedora
Core and reopen it against the new version if it still occurs.

Closing as "not a bug" for now.

Note You need to log in before you can comment on or make changes to this bug.